Subject: Re: help with exporting variables
From: Bob McGowan <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 22 Aug 2000 09:17:36 -0700

Earnie Boyd wrote:
> 
> --- Bob McGowan <[email-masked]> wrote:
> > Malcolm Garland wrote:
> > >
> > > Hi,
> > > I'm Malcolm.  I've created a series of bourne shell scripts which set a
> > series of environment > variables.  Using bash, we are attempting to
> > export/use these scripts on NT.  When we run a > single line: "bash
> > 'script-name', the variables are set locally, but the NT "global" environment
> > > variables are not modified.  When execute the exact scripts, AFTER entering
> > the bash environment > (i.e., level with the bash prompt versus the DOS
> > prompt) the environment variables are set > globally.  How can we alter the
> > NT global environment variables using a single line command > directive such
> > as,
> > > $ bash "script-name" Options?
> >
> > Maybe?
> >
> >   bash -c "source script-name"
> >
> 
> NO!!  It is impossible to do what Malcolm wants the way he wants to do it.  It
> is the nature of the way parent/child processes work.  The child can inherit
> from the parent; but, the parent can't inherit from the child.
----

Malcolm stated that when he runs his script in an interactive shell, the
variables he is interested in are available.  I made the assumption,
perhaps unwarranted, that he knows what he is doing and that he was
sourcing the script.

I did make a mistake in my suggestion, which in fact does work, but
needs more, as in:

   bash -c "source script-name; other_actions"

where 'other_actions' would presumably make use of the information in
the "global" bash environment.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]